#!/bin/bash
# this script is used to set gl env 
# set by package script 
IS_GLVND=false
# set by package script
PRODUCT_NAME=genbu02
MULTI_ARCH=$(gcc -print-multiarch)
GENBU_GL_SO_PATH="/usr/lib/${MULTI_ARCH}/${PRODUCT_NAME}"

# when gb kernel mod exist, set env variable
if [ -e /proc/gbgpuinfo ]; then 
    if [ "${IS_GLVND}" = "true" ]; then
        export __GLX_VENDOR_LIBRARY_NAME=genbu	
    else
        export LD_LIBRARY_PATH=${GENBU_GL_SO_PATH}:${LD_LIBRARY_PATH}
    fi
fi
